TCompactResult (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class TCompactResult

- java.lang.Object
- - com.sleepycat.thrift.TCompactResult

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TCompactResult>, org.apache.thrift.TBase<TCompactResult,TCompactResult._Fields>, org.apache.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.10.0)",
                 date="2017-08-25")
      public class TCompactResult
      extends java.lang.Object
      implements org.apache.thrift.TBase<TCompactResult,TCompactResult._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<TCompactResult>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TCompactResult._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `deadlock`
    `int` | `emptyBuckets`
    `TDbt` | `endKey`
    `int` | `levels`
    `static java.util.Map<TCompactResult._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
    `int` | `pagesExamine`
    `int` | `pagesFree`
    `int` | `pagesTruncated`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TCompactResult()`
    `TCompactResult(TCompactResult other)` Performs a deep copy on other.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(TCompactResult other)`
    `TCompactResult` | `deepCopy()`
    `boolean` | `equals(java.lang.Object that)`
    `boolean` | `equals(TCompactResult that)`
    `TCompactResult._Fields` | `fieldForId(int fieldId)`
    `int` | `getDeadlock()`
    `int` | `getEmptyBuckets()`
    `TDbt` | `getEndKey()`
    `java.lang.Object` | `getFieldValue(TCompactResult._Fields field)`
    `int` | `getLevels()`
    `int` | `getPagesExamine()`
    `int` | `getPagesFree()`
    `int` | `getPagesTruncated()`
    `int` | `hashCode()`
    `boolean` | `isSet(TCompactResult._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `boolean` | `isSetDeadlock()` Returns true if field deadlock is set (has been assigned a value) and false otherwise
    `boolean` | `isSetEmptyBuckets()` Returns true if field emptyBuckets is set (has been assigned a value) and false otherwise
    `boolean` | `isSetEndKey()` Returns true if field endKey is set (has been assigned a value) and false otherwise
    `boolean` | `isSetLevels()` Returns true if field levels is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPagesExamine()` Returns true if field pagesExamine is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPagesFree()` Returns true if field pagesFree is set (has been assigned a value) and false otherwise
    `boolean` | `isSetPagesTruncated()` Returns true if field pagesTruncated is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
    `TCompactResult` | `setDeadlock(int deadlock)`
    `void` | `setDeadlockIsSet(boolean value)`
    `TCompactResult` | `setEmptyBuckets(int emptyBuckets)`
    `void` | `setEmptyBucketsIsSet(boolean value)`
    `TCompactResult` | `setEndKey(TDbt endKey)`
    `void` | `setEndKeyIsSet(boolean value)`
    `void` | `setFieldValue(TCompactResult._Fields field, java.lang.Object value)`
    `TCompactResult` | `setLevels(int levels)`
    `void` | `setLevelsIsSet(boolean value)`
    `TCompactResult` | `setPagesExamine(int pagesExamine)`
    `void` | `setPagesExamineIsSet(boolean value)`
    `TCompactResult` | `setPagesFree(int pagesFree)`
    `void` | `setPagesFreeIsSet(boolean value)`
    `TCompactResult` | `setPagesTruncated(int pagesTruncated)`
    `void` | `setPagesTruncatedIsSet(boolean value)`
    `java.lang.String` | `toString()`
    `void` | `unsetDeadlock()`
    `void` | `unsetEmptyBuckets()`
    `void` | `unsetEndKey()`
    `void` | `unsetLevels()`
    `void` | `unsetPagesExamine()`
    `void` | `unsetPagesFree()`
    `void` | `unsetPagesTruncated()`
    `void` | `validate()`
    `void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### deadlock

          public int deadlock

    - #### emptyBuckets

          public int emptyBuckets

    - #### levels

          public int levels

    - #### pagesExamine

          public int pagesExamine

    - #### pagesFree

          public int pagesFree

    - #### pagesTruncated

          public int pagesTruncated

    - #### endKey

          public TDbt endKey

    - #### metaDataMap

          public static final java.util.Map<TCompactResult._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### TCompactResult

          public TCompactResult()

    - #### TCompactResult

          public TCompactResult(TCompactResult other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public TCompactResult deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.thrift.TBase<TCompactResult,TCompactResult._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.thrift.TBase<TCompactResult,TCompactResult._Fields>`

    - #### getDeadlock

          public int getDeadlock()

    - #### setDeadlock

          public TCompactResult setDeadlock(int deadlock)

    - #### unsetDeadlock

          public void unsetDeadlock()

    - #### isSetDeadlock

          public boolean isSetDeadlock()

      Returns true if field deadlock is set (has been assigned a value) and false otherwise

    - #### setDeadlockIsSet

          public void setDeadlockIsSet(boolean value)

    - #### getEmptyBuckets

          public int getEmptyBuckets()

    - #### setEmptyBuckets

          public TCompactResult setEmptyBuckets(int emptyBuckets)

    - #### unsetEmptyBuckets

          public void unsetEmptyBuckets()

    - #### isSetEmptyBuckets

          public boolean isSetEmptyBuckets()

      Returns true if field emptyBuckets is set (has been assigned a value) and false otherwise

    - #### setEmptyBucketsIsSet

          public void setEmptyBucketsIsSet(boolean value)

    - #### getLevels

          public int getLevels()

    - #### setLevels

          public TCompactResult setLevels(int levels)

    - #### unsetLevels

          public void unsetLevels()

    - #### isSetLevels

          public boolean isSetLevels()

      Returns true if field levels is set (has been assigned a value) and false otherwise

    - #### setLevelsIsSet

          public void setLevelsIsSet(boolean value)

    - #### getPagesExamine

          public int getPagesExamine()

    - #### setPagesExamine

          public TCompactResult setPagesExamine(int pagesExamine)

    - #### unsetPagesExamine

          public void unsetPagesExamine()

    - #### isSetPagesExamine

          public boolean isSetPagesExamine()

      Returns true if field pagesExamine is set (has been assigned a value) and false otherwise

    - #### setPagesExamineIsSet

          public void setPagesExamineIsSet(boolean value)

    - #### getPagesFree

          public int getPagesFree()

    - #### setPagesFree

          public TCompactResult setPagesFree(int pagesFree)

    - #### unsetPagesFree

          public void unsetPagesFree()

    - #### isSetPagesFree

          public boolean isSetPagesFree()

      Returns true if field pagesFree is set (has been assigned a value) and false otherwise

    - #### setPagesFreeIsSet

          public void setPagesFreeIsSet(boolean value)

    - #### getPagesTruncated

          public int getPagesTruncated()

    - #### setPagesTruncated

          public TCompactResult setPagesTruncated(int pagesTruncated)

    - #### unsetPagesTruncated

          public void unsetPagesTruncated()

    - #### isSetPagesTruncated

          public boolean isSetPagesTruncated()

      Returns true if field pagesTruncated is set (has been assigned a value) and false otherwise

    - #### setPagesTruncatedIsSet

          public void setPagesTruncatedIsSet(boolean value)

    - #### getEndKey

          public TDbt getEndKey()

    - #### setEndKey

          public TCompactResult setEndKey(TDbt endKey)

    - #### unsetEndKey

          public void unsetEndKey()

    - #### isSetEndKey

          public boolean isSetEndKey()

      Returns true if field endKey is set (has been assigned a value) and false otherwise

    - #### setEndKeyIsSet

          public void setEndKeyIsSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(TCompactResult._Fields field,
                                    java.lang.Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.thrift.TBase<TCompactResult,TCompactResult._Fields>`

    - #### getFieldValue

          public java.lang.Object getFieldValue(TCompactResult._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.thrift.TBase<TCompactResult,TCompactResult._Fields>`

    - #### isSet

          public boolean isSet(TCompactResult._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
      Specified by:
        `isSet` in interface `org.apache.thrift.TBase<TCompactResult,TCompactResult._Fields>`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### equals

          public boolean equals(TCompactResult that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(TCompactResult other)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<TCompactResult>`

    - #### fieldForId

          public TCompactResult._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.thrift.TBase<TCompactResult,TCompactResult._Fields>`

    - #### read

          public void read(org.apache.thrift.protocol.TProtocol iprot)
                    throws org.apache.thrift.TException

      Specified by:
        `read` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### write

          public void write(org.apache.thrift.protocol.TProtocol oprot)
                     throws org.apache.thrift.TException

      Specified by:
        `write` in interface `org.apache.thrift.TSerializable`
      Throws:
        `org.apache.thrift.TException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### validate

          public void validate()
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.